# scrollback - Irssi 1.1 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.1. The current release version is Neırssi 1.3.

# scrollback

## Syntax

    SCROLLBACK CLEAR [-all] [<refnum>]

    SCROLLBACK LEVELCLEAR [-all] [-level <level>] [<refnum>]

    SCROLLBACK GOTO <+|-linecount>|<linenum>|<timestamp>

    SCROLLBACK HOME

    SCROLLBACK END

## Parameters

`CLEAR`: | Clears the screen and the buffer of all text.
`LEVELCLEAR`: | Clears the screen and the buffer of text matching the given levels.
`GOTO`: | Go to the given position.
`HOME`: | Go to the start of the buffer.
`END`: | Go to the end of the buffer.

`-all`: | Applies to all windows instead of only the active one.
`-level`: | The levels, separated by a comma, to match.

The line number, timestamp to jump to or the window reference number to clear.

## Description

Manipulate the text in the window to go to a to the given line number, or clear the buffers.

The timestamp format is format is ‘[dd[.mm] | -<days ago>] hh:mi[:ss]’.

## Examples

    /SCROLLBACK CLEAR
    /SCROLLBACK LEVELCLEAR -level NOTICES
    /SCROLLBACK GOTO 100
    /SCROLLBACK HOME
    /SCROLLBACK END

## See also

CLEAR, WINDOW